<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class AoSend extends AbsMail
{

    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Appel d\'offre N° @1@'),
            $this->listeData['NAO']
        );
    }

    public function getMessage(): string
    {
        $trad = $this->trad;
        return implode("\r\n", [
            $trad->t('Bonjour,'),
            '',
            $trad->t('Veuillez trouver en pièce jointe notre appel d\'offres.'),
            '',
            $trad->t('Liste des documents de la réponse à fournir :'),
            $this->listeData['LSTDOCATTENDUS'],
            '',
            $trad->t('Cordialement.'),
            $this->listeData['NOM_ACH'],
        ]);
    }
}
